# Go Data Structures

## Linked List

Go allows you to create pointers to structs (equivalent to classes in Go). 

The node is defined to take a generic "interface" type (meaning, we can create a struct as a type, and use that as the linked list element data).

We then define some functions on the Node struct, including an Append() method and a String() method.

This class illustrates how we can use structs as slimmed down objects, and use function-like syntax with those structs to define methods on that struct's data.


