# C Data Structures

Linked lists in C can be implemented using structs, which are essentially very primitive objects or data containes.

C allows the user to populate these structs with data, and C takes care of where these are stored in memory. 

## Arrays

A simple example that shows the use of arrays in C.

## Linked List

```
linked_list.c
```

The linked list implementation in C utilizes a struct to hold data and a pointer. This implements one struct for linked list nodes, and one struct for the linked list proper.

## Binary Tree

```
binary_tree.c
```

This implements a binary tree data structure. There is a lot more functionality that has not been added to the class, so this is a very basic binary tree.

