package main
import "fmt"

//////////////////////////////////////////
// Binary Tree Node

// Define a binary tree node.
// Each node has data, 
// and each node has a left and right.
type Node struct {
    data int32
    left *Node
    right *Node
}

// Function defined for Nodes, that turns them into Strings
func (n *Node) String() string {
    return fmt.Sprintf("Node: %d", n.data)
}

func (n *Node) print() {
    fmt.Println(n.data)
    if n.left!=nil {
        n.left.print()
    }
    if n.right!=nil {
        n.right.print()
    }
}


//////////////////////////////////////////
// Binary Tree

// Define a binary tree.
type BinaryTree struct{
    root *Node
}


////////////////////////////////////////
// Test
func main() {
    bt := new(BinaryTree)

    root := new(Node)
    root.data = 5
    root.left = new(Node)
    root.right = new(Node)

    root.left.data = 15
    root.right.data = 23

    root.left.left  = new(Node)
    root.left.right = new(Node)

    root.left.left.data = 25
    root.left.right.data = 38

    root.right.left  = new(Node)
    root.right.right = new(Node)

    root.right.left.data = 27
    root.right.right.data = 44

    bt.root = root
    bt.root.print()
}
