# Perl Implementation of Linked List
# Approach 1: uses a hash 
# 
# Implementations at
# https://tjhsst.edu/~dhyatt/perl/ex8.html
#
# charles reid
# March 2013
# Adding comments

print "Linked Lists using a Hash:\n";

# Initializing a hash using the "correspond" operator => to make easy reading
# keys are unix commands and contain the data.
# values are desriptions, plus a link to the next node.
%hash = (
          "man" =>  "Get UNIX Help:more",
          "cat" => "Display Files:Null",
          "more"=> "Page Through Files:cat");

print "Traversing list:\n";

# Head node:
$next = "man";

# Note that Perl doesn't allow us to do much directly with memory,
# so this is a bit of a hacky implementation.
while ($next !~ "Null") { 
	# Split (unix description):(link) into the array @data
	@data = split(/:/, $hash{$next});

	# Grab the link to the next node
	print "$next  $data[0] \n";

	# Get the next node
	$next = $data[1];
}

 print "\n\n";

