# Perl Implementation of Linked List
# Approach 3: uses 2D array, one element for data and one element for pointer 
#
# Implementations at
# https://tjhsst.edu/~dhyatt/perl/ex8.html
#
# charles reid
# March 2013
# Adding comments


print "Linked Lists using 2D Array:\n";


# This is not a "true"/useful linked list implementation,
# since it usees an array, not objects.
# There's no savings from using a linked list in Perl...


sub print_list {
	$max = $_[0];

	print $max;
	print "\n";

  	for ($i=0; $i<$max; $i++)
  	{
    	print "$i.  $list[$i][0]\t $list[$i][1]\n";
  	}
}

# Declaring a 2-D Array, which is just an array of 1-D arrays
# "Null" - ?
@list = ( ["blue", "Null"], ["red", "Null"], ["green", "Null" ]);

$max = $#list + 1;

print "Initial Values\n";
print_list($max);

print "\n\n";




# The links in linked lists are pointers to the next item in the array.
# Not pointers to objects or locations in memory.

# Create Some Links
$list[0][1] = 2;
$list[2][1] = 1;

print "Made Links\n";
print_list($max);

print "\n\n";



# Now traverse the linked list

$next = 0;

#Step through Linked List
print "Traversing list:\n";
while ($next !~ "Null") {
	print "$list[$next][0] \n";
	$next = $list[$next][1];
}

print "\n\n";






