import random

class LList(object):

    def __init__(self):
        self.head = None

    def __str__(self):
        result = ""
        current = self.head
        while(current is not None):
            result += str(current.data)
            if(current.getNext() is not None):
                result += "->"
            current = current.getNext()
        return result

    def add(self,z):
        if(self.head is None):
            self.head = Node(z)
        else:
            current = self.head
            self.recursive_add(current,z)

    def recursive_add(self,current,z):
        if(current.getNext() is None):
            newnode = Node(z)
            current.setNext(newnode)
        else:
            self.recursive_add(current.getNext(),z)


class Node:
    def __init__(self,z=0,node0=None):
        self.data = z
        self.next = node0

    def getNext(self):
        return self.next

    def setNext(self,node):
        self.next = node


if __name__=="__main__":
    z = LList()
    
    for i in range(100):
        z.add(random.random())

    print(z)
